package w83a.w83aOperacionesPaso.w83aDocumentacion;

import java.util.ArrayList;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83a.w83aBeans.W83aDocumentacionBean;
import w83a.w83aBeans.W83aDocumentoBean;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83aInicioBusquedaDocumentacionAction extends Q70ActionPasoOP {

	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		contexto.set("strTitleKey","menu.comun.busquedas");
		contexto.set("migas","inicioportal.inicio.documelectoral");
		HashMap documentacion=new HashMap();
		documentacion.put("datos", new ArrayList());
		documentacion.put("documentos", new ArrayList());
		contexto.set("w83aListaDocumentacion", documentacion);
		contexto.set("w83aDocumentacionBean",new W83aDocumentacionBean());
		contexto.set("w83aDocumentoBean",new W83aDocumentoBean());
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		contexto.set("strTitleKey","menu.comun.busquedas");
		return mapping.findForward("ok");
	}

}
